React to Message
POST
/api/partner/v2/chat_messages/{chat_message_id}/reactions
const url = 'https://api.linqapp.com/api/partner/v2/chat_messages/1/reactions';const options = { method: 'POST', headers: { 'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>', 'Content-Type': 'application/json' }, body: '{"type":"love","operation":"add"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.linqapp.com/api/partner/v2/chat_messages/1/reactions \ --header 'Content-Type: application/json' \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>' \ --data '{ "type": "love", "operation": "add" }'Adds or removes a reaction from a message
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” chat_message_id
required
integer
The message ID
Request Body required
Section titled “Request Body required ” Media type application/json
object
type
required
The type of reaction
string
Example
love operation
required
Whether to add or remove the reaction
string
Example
addResponses
Section titled “ Responses ”Reaction added successfully
Media type application/json
object
data
object
id
integer
chat_message_id
integer
reaction
The type of reaction
string
is_from_me
boolean
from_phone
string
sent_at
string format: date-time
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "data": { "id": 456, "chat_message_id": 224, "reaction": "love", "is_from_me": false, "from_phone": "+15551234567", "sent_at": "2025-05-21T15:30:00.000-05:00", "created_at": "2025-05-21T15:30:00.000-05:00", "updated_at": "2025-05-21T15:30:00.000-05:00" }}